Bug 21198 - gcc 2.96-64 has problems compiling LAPACK on SPARC
gcc 2.96-64 has problems compiling LAPACK on SPARC
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-21 15:18 EST by Trond Eivind Glomsrxd
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 12:39:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FORTRAN file which triggers a problem in gcc. (3.23 KB, text/plain)
2000-11-21 15:19 EST, Trond Eivind Glomsrxd
no flags Details

  None (edit)
Description Trond Eivind Glomsrxd 2000-11-21 15:18:22 EST
gcc 2.96-64 has problems compiling claswp.f on SPARC with -O2 (-O1 works fine):

[root@bart /]# g77 -c -O1 claswp.f
[root@bart /]# g77 -c -O2 claswp.f
claswp.f: In subroutine `claswp':
claswp.f:116: Internal compiler error in verify_local_live_at_start, at
flow.c:2729
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
[root@bart /]#

claswp.f is part of LAPACK.
Comment 1 Trond Eivind Glomsrxd 2000-11-21 15:19:05 EST
Created attachment 5626 [details]
FORTRAN file which triggers a problem in gcc.
Comment 2 Bill Nottingham 2000-11-22 00:09:12 EST
FWIW, when I ran an ia64 compiler on a buggy machine, it
*always* ICEd at that exact point. Maybe our sparcs have the
same hardware bug? :)
Comment 3 Jakub Jelinek 2000-11-22 12:39:15 EST
No, I'm able to reproduce it on my SPARC and even in an ia32->SPARC cross
g77. It does not happen in current CVS nor on subreg-byte branch (cut
in September), so I'll have to track down which patch fixes this.
Comment 4 Jakub Jelinek 2001-11-28 07:57:52 EST
This was fixed in gcc-2.96-101.

Note You need to log in before you can comment on or make changes to this bug.